Subject: [Fwd: [Megaco] Audit Response With Wildcard Response]

From: Ian Leighton <[email-masked]>
Date: Thu, 20 Sep 2001 13:07:14 -0400

Hi All

The IG (in section 11.3) indicates that the following message

Context=*{W-Audit=t1/*{Audit{Package}}

Results in a reply of

Context=*{W-Audit=t1/*(Package{aaa,bbb}}

It was my understanding that there was no way to generate
a Context=* reply except when errors occur. I got this
impression from a thread from several month's ago. I have
cut and pasted the emails below.

Is section 11.3 of the IG correct?

Regards
Ian

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

"Rosen, Brian" wrote:

   You can't say Context-W=*, or anything equivalent.
   Therefore, when you use Context=*, you are going to get back
   more than one action, and there is no way to indicate that
   you only wanted one action.

   It is valid to use Context=* when you use W-.

   If the command has an error, you could get back Context=*,
   so I don't think I've contradicted the Error response to CHOOSE.

   Brian

   > -----Original Message-----
   > From: Mike Broome [mailto:[email-masked]]
   > Sent: Friday, January 12, 2001 3:19 PM
   > To: [email-masked]
   > Subject: Re: Wildcard in ContextId
   >
   >
   > Brian,
   >
   > When you say "wildcard response" do you mean there is no way to get
a
   > reply that contains "Context = *" or do you mean that it is
   > not valid to
   > use "W-" (the wildcard response indicator) on any of the
   > commands in an
   > action where the ContextID is wildcarded?
   >
   > The first interpretation is at odds with the recent discussion in
the
   > thread "Error response to a CHOOSE".  (It also would make the
   > change in
   > 6.21 in the IG that adds support for returning ALL as the
   > ContextID for
   > a transaction no longer needed, right?)
   >
   > The second interpretation would make an action like the following
--
   > with both ContextID and TerminationID wildcarded and a W- on
   > the command
   > -- invalid:
   >
   >     Context = * {
   >         W-Audit = * { ... }
   >     }
   >
   > If the above action IS valid, would the Reply have "Context = *" or
   > would there be a separate action reply for every context?  My
   > preference
   > would be to have "Context = *" indicating the ContextID is a
   > don't care
   > (similar to what was discussed in the "Error response to a CHOOSE"
   > thread).
   >
   > Thanks,
   > Mike
   >
   >
   > On Fri, Jan 12, 2001 at 08:21:58AM -0500, Rosen, Brian wrote:
   > > Wildcards are allowed in ContextId.  There is no way to get a
   > > wildcard response if you use a wildcard ContextId.
   > > We should probably point that out somewhere.
   > >
   > > Brian
   >

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco